petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecSetValuesSection

Sets all the values associated with a given point, according to the section, in the given Vec

### Synopsis

    #include "petscvec.h"
    #include "petscvec.h"
    PetscErrorCode VecSetValuesSection(Vec v, PetscSection s, PetscInt point, PetscScalar values[], InsertMode mode)

Not collective

### Input Parameters

| v | - the Vec
| s | - the organizing PetscSection
| point | - the point
| values | - the array of input values
| mode | - the insertion mode, either ADD_VALUES or INSERT_VALUES

Note: This is similar to MatSetValuesStencil(). The Fortran binding is

      VecSetValuesSectionF90(vec, section, point, values, mode, ierr)

### See Also

PetscSection, PetscSectionCreate()

Level:developer
Location:src/vec/vec/utils/vsection.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages